#% global gitdate 20130724
#% global gitversion 304eb65f

Name:           evemu
Version:        1.2.0
Release:        0%{?gitdate:.%{gitdate}git%{gitversion}}%{?dist}
Summary:        Event Device Query and Emulation Program

Group:          Development/Tools
License:        GPLv3+
URL:            http://www.freedesktop.org/wiki/Evemu

%if 0%{?gitdate}
Source0:        %{name}-%{gitdate}.tar.bz2
Source1:        make-git-snapshot.sh
Source2:        commitid
%else
Source0:        http://www.freedesktop.org/software/%{name}/%{name}-%{version}.tar.xz
%endif

BuildRequires:  automake libtool
BuildRequires:  python2-devel
BuildRequires:  xmlto asciidoc

# package was renamed in version 1.0.10
Provides:       utouch-evemu = %{version}-%{release}
Obsoletes:      utouch-evemu < 1.0.10

%description
%{name} is a simple utility to capture the event stream from input devices
and replay that stream on a virtual input device.

%package devel
Summary:        Event Device Query and Emulation Program Development Package
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       python

Provides:       utouch-evemu-devel = %{version}-%{release}
Obsoletes:      utouch-evemu-devel < 1.0.10

%description devel
%{name} development files.

%prep
%setup -q -n %{name}-%{?gitdate:%{gitdate}}%{!?gitdate:%{version}}

%build
autoreconf -v --install --force || exit 1
%configure --disable-static --disable-silent-rules
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

# We intentionally don't ship *.la files
rm -f %{buildroot}%{_libdir}/*.la

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc COPYING
%{_bindir}/evemu-describe
%{_bindir}/evemu-device
%{_bindir}/evemu-play
%{_bindir}/evemu-event
%{_bindir}/evemu-record
%{_libdir}/libevemu.so.*
%{_mandir}/man1/evemu-*

%files devel
%doc COPYING
%{_includedir}/evemu.h
%{_libdir}/libevemu.so
%{_libdir}/pkgconfig/evemu.pc
%dir %{python_sitelib}/evemu/
%{python_sitelib}/evemu/*

%changelog
* Thu Nov 21 2013 Benjamin Tissoires <benjamin.tissoires@redhat.com> 1.2.0-0
- Update to version 1.2.0

* Wed Jul 24 2013 Benjamin Tissoires <benjamin.tissoires@redhat.com> 1.1.0-4.20130724git304eb65f
- Update to current git, record the resolution and bump the file format to 1.2

* Wed Jul 10 2013 Peter Hutterer <peter.hutterer@redhat.com> - 1.1.0-3.20130708gitf2eb0f2cd
- disable silent rules

* Mon Jul 08 2013 Peter Hutterer <peter.hutterer@redhat.com> - 1.1.0-2.20130708gitf2eb0f2cd
- Update to current git, avoids printing unused bits

* Thu May 23 2013 Peter Hutterer <peter.hutterer@redhat.com>
- Drop unused patch

* Fri May 03 2013 Benjamin Tissoires <benjamin.tissoires@redhat.com> 1.1.0-1
- Update to version 1.1.0, hosted now on freedesktop

* Thu Jan 31 2013 Peter Hutterer <peter.hutterer@redhat.com> 1.0.10-3
- fclose output only once

* Tue Jan 08 2013 Peter Hutterer <peter.hutterer@redhat.com> 1.0.10-2
- Test for device grab in evemu-record

* Fri Jul 06 2012 Peter Hutterer <peter.hutterer@redhat.com> 1.0.10-1
- Update to version 1.0.10, rename. upstream changed name to "evemu" with
  this version

* Thu Feb 09 2012 Peter Hutterer <peter.hutterer@redhat.com> 1.0.8-2
- autoreconf --force to stop weird libtool build errors

* Tue Feb 07 2012 Peter Hutterer <peter.hutterer@redhat.com> 1.0.8-1
- Initial package
